SDL_HINT_FRAMEBUFFER_ACCELERATION(3)

NAME
SDL_HINT_FRAMEBUFFER_ACCELERATION - A variable controlling how 3D acceleration is used to accelerate the SDL screen surface.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_FRAMEBUFFER_ACCELERATION   SDL_FRAMEBUFFER_ACCELERATION"

DESCRIPTION
SDL can try to accelerate the SDL screen surface by using streaming textures with a 3D rendering engine. This variable controls whether and how this is done. The variable can be set to the following values: • "0": Disable 3D acceleration • "1": Enable 3D acceleration, using the default renderer. (default) • "X": Enable 3D acceleration, using X where X is one of the valid
  rendering drivers. (e.g. "direct3d", "opengl", etc.) This hint should be set before calling SDL_GetWindowSurface ()

AVAILABILITY
This hint is available since SDL 3.0.0.